<?php

include('config.inc');
include('layout.inc');

function helpt_start()
{
    body_left_end();
    body_row_end();
    title_start();
    title_left();
}

function helpt_end()
{
    title_left_end();
    title_end();
    body_row('class="rowon"');
    body_left();
}

function title($text)
{
    helpt_start();
    echo $text;
    helpt_end();
}

function content()
{
    content_start();
    header_start();
    header_left();
    echo "AeroMail Help";
    header_left_right_end(); 
    header_end();
    body_start(); 
    body_row('class="rowon"');
    body_left();
?>
<?php title("Overview") ?>
<p>
AeroMail is a web-based e-mail client written in PHP. AeroMail uses an IMAP
server to read and store messages in one or more user-defined folders. Features
include HTTP authentication for login (no cookies) and folder manipulation.
</p>
<?php title("Requirements") ?>
<p>
Apache, PHP (has to be running as a module), the IMAP functions must be
compiled into PHP, an IMAP server.  Information about Apache, PHP, and
compiling IMAP support into PHP can be found at one of the following URL's:
</p>
<ul>
    <li><a href="http://www.apache.org/">http://www.apache.org/</a>
    <li><a href="http://www.php.net/">http://www.php.net/</a>
</ul>
<?php title("Installation") ?>
<p>
Unpack the AeroMail package (.tar.gz or .zip file) into a directory within your
web server.  Modify the config.inc file to suit the needs of your individual
server, and simply access index.php from a web browser.  The username and
password pair are your IMAP username and password.
</p>
<p>
To enable support for sendmail to specify the e-mail address when sending,
enable genericstable support in sendmail, and set the constant FORCE_FROM to
0.  This will let sendmail specify the user and domain as specified in the
genericstable file.  This is useful if you are hosting mail for more than one
domain from the same system and want your user's full name to appear in the
From: line of e-mails being sent.
</p>
<?php title("Common Problems") ?>
<dl>
<dt>Q:<dd>I'm getting the error:<br>

    "Fatal error: Call to unsupported or undefined function imap_open() in
    global.inc on line xx"

<dt>A:<dd>You haven't compiled IMAP support into PHP.  See
    <a href="http://www.php.net/imap/">http://www.php.net/imap/</a>
</dl>    
<?php title("Credits") ?>
<dl>
<dt>Version 2.0
<dd><a href="mailto:dion@nicolaas.net">Dion Nicolaas &lt;dion@nicolaas.net&gt;</a><br>
<br>

<dt>Version 1.x
<dd><a href="mailto:mark@cushman.net">Mark Cushman &lt;mark@cushman.net&gt;</a><br>
with help by:<br>
<a href="mailto:thorsten@huber3000.de">Thorsten Huber &lt;thorsten@huber3000.de&gt;</a><br>
<a href="mailto:justin@openup.com">Justin R. Miller &lt;justin@openup.com&gt;</a><br>
</dl>
<?php
    body_left_end();
    body_row_end();
    body_end(); 
    content_end(); 
}

/* MAIN */
include(HTML_TEMPLATE);

?> 
